/* * This file is part of libduicontentwidgets *
 *
 * Copyright (C) 2010 Nokia Corporation and/or its subsidiary(-ies).
 * All rights reserved.
 *
 * Contact: Otto Kopra <otto.kopra@nokia.com>
 *
 * This software, including documentation, is protected by copyright
 * controlled by Nokia Corporation. All rights are reserved. Copying,
 * including reproducing, storing, adapting or translating, any or all of
 * this material requires the prior written consent of Nokia Corporation.
 * This material also contains confidential information which may not be
 * disclosed to others without the prior written consent of Nokia.
 */
#ifndef MTRANSIENTITEMTAGGINGWIDGETMODEL_H
#define MTRANSIENTITEMTAGGINGWIDGETMODEL_H

#include <mwidgetmodel.h>
#include <QObject>
#include <QUrl>
#include <QList>
#include <QString>

class MTransientItemTaggingWidgetModel : public MWidgetModel
{
    Q_OBJECT
    M_MODEL(MTransientItemTaggingWidgetModel)

public:

private:
    M_MODEL_PROPERTY(bool, tagLoadingStarted, TagLoadingStarted, true, false)
};

#endif

